﻿.scrollpanel 
{
    margin: 4px;
    border: 1px solid #ccc;
}

/* Hide scrollbar for Chrome, Safari and Opera */
.scrollpanel > .sp-viewport::-webkit-scrollbar 
{
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.scrollpanel > .sp-viewport 
{
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

.scrollpanel .sp-scrollbar 
{
    width: 10px;
    background-color: #ccc;
    cursor: pointer;
}

.scrollpanel .sp-scrollbar .sp-thumb 
{
    background-color: #aaa;
    transition: height 0.2s ease-in-out;
}

.scrollpanel .sp-scrollbar.active .sp-thumb 
{
    background-color: #999;
}

.scrollpanel .sp-scrollbar {
        margin: 4px;
    }

.scrollpanel {
    border-radius: 9px;
}

.scrollpanel .sp-scrollbar {
        border-radius: 5px;
    }

.scrollpanel .sp-scrollbar .sp-thumb {
        border-radius: 5px;
    }

pre.log-entry{
    white-space: pre-wrap; /* Since CSS 2.1 */
    white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
    word-wrap: break-word; /* Internet Explorer 5.5+ */
}